# PodRegistry class abstract interface

A contract in Jetleaf that provides methods for managing pods in the container.

The `PodRegistry` allows registration of pod definitions through ``PodRegistrar`` or directly with ``registerPod``.

### Usage

    registry.registerPod(MyService.classType,
      customizer: (spec) => spec.namedAs('myService').withScope(ScopeType.singleton),
    );

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
register(PodRegistrar registrar) → void
  Registers a `registrar` that declares pods into this registry.
registerPod<T>(Class<T> podClass, {Consumer<Spec<T>>? customizer, String? name}) → void
  Registers a pod of type `T` in the registry.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited